/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author LH
 */
@Deprecated
public class RingBuffer<T> extends de.nplusc.izc.tools.baseTools.RingBuffer
{
        private boolean retDefault = false;
    
    public RingBuffer(Class<T> clazz)
    {
        super(clazz);
    }
        public RingBuffer(Class<T> clazz,T defaultValue)
    {
        super(clazz,defaultValue);
    }
    
    public RingBuffer(Class<T> clazz,int length,T defaultValue)
    {
        super(clazz,length,defaultValue);
    }
        public RingBuffer(Class<T> clazz,int length)
    {
        super(clazz,length);
    }
}
